Skip to main content
GET
/
{space_id}
/
workflows
/
{workflow_id}
Error
A valid request URL is required to generate request examples
{
  "name": "IPTV&Multiscreen",
  "description": "This workflow is producing multiple outputs - one CableLabs compliant and MP4 proxy",
  "identifier": "e3c908ad-dc8f-4edb-88f7-c84dec0aef99",
  "created_at": "2020-01-21T15:53:12.388317Z",
  "updated_at": "2020-01-22T15:53:12.182617Z"
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header

Path Parameters

workflow_id
string<uuid>
required

Unique identifier of a Workflow

Example:

"e3c908ad-dc8f-4edb-88f7-c84dec0aef99"

space_id
string<uuid>
required

UP Space Id

Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"

Response

Get particular Workflow Details

name
string

Workflow name

Example:

"IPTV&Multiscreen"

description
string
read-only

Describes the Workflow purpose

Example:

"This workflow is producing multiple outputs - one CableLabs compliant and MP4 proxy"

identifier
string
read-only

This is the GUID for the Workflow

Example:

"e3c908ad-dc8f-4edb-88f7-c84dec0aef99"

created_at
string<date-time>
read-only

Timestamp when Workflow was created in the Cloud service UTC time in iso8601 format

Example:

"2020-01-21T15:53:12.388317Z"

updated_at
string<date-time>
read-only

Timestamp when Workflow was updated in the Cloud service UTC time in iso8601 format

Example:

"2020-01-22T15:53:12.182617Z"

status
enum<string> | null
read-only
Available options:
idle,
active,
archived,
deleted,
invalid